﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace SL_Load
{
    public static class VersionHelper
    {
        private static long _version = 0;

        public static long Version
        {
            get { return VersionHelper._version; }
           
        }

        static VersionHelper() 
        {
            WebClient client = new WebClient();
            client.DownloadStringCompleted += new DownloadStringCompletedEventHandler(client_DownloadStringCompleted);
            Uri _versionTxtUrl = new Uri(HtmlPage.Document.DocumentUri, "Version/Version.txt");
            client.DownloadStringAsync(_versionTxtUrl);
            
        }

        static void client_DownloadStringCompleted(object sender, DownloadStringCompletedEventArgs e)
        {
            if (e.Error == null)
            {
                if (!long.TryParse(e.Result, out _version))
                {
                    MessageBox.Show("版本获取失败！");
                }
            }
            else 
            {
                MessageBox.Show("版本获取失败！");
            }
        }
    }
}
